;
; This is a demo IRQ that calls the player.
;
; Two things need to be done:
;
; call PLAYER_INIT during initialization
; call PLAYER to poll music from inside your IRQ.
;

	ORG $1001-2
	DW $1001
	
	DW $100B,0	; create a basic line
	DB $9E,"4109"	; sys $100D
	DB 0,0,0
	
	;
	; beginning of machine language code
	;
	 
	JSR $FF4F	; write a message on the screen
	db $d,"YOU ARE LISTENNING TO",$d
	db "A DEMO OF THE LOD PLAYER",$d,$d
	db "PRESS [ SPACE ] TO STOP.",0	 
	;
	SEI
	STA $FF3F
	;
	LDA $FF0B	; save original irq values
	PHA
	LDA $FFFE
	PHA
	LDA $FFFF
	PHA
	;
	LDA #$BC	; switch to our irq
	LDX #irq & 255
	LDY #irq >> 8
	STA $FF0B
	STX $FFFE
	STY $FFFF
	;
	JSR PLAYER_INIT	; init!
	;
	CLI
	;
l0	LDA #$7F	; wait for space
	STA $FD30
	STA $FF08
	LDA $FF08
	AND #$10
	BNE l0
	;
l1	LDA #$7F	; wait for key release
	STA $FD30
	STA $FF08
	LDA $FF08
	AND #$10
	BEQ l1
	;
	SEI
	;
	PLA		; restore irq values from stack
	STA $FFFF
	PLA
	STA $FFFE
	PLA
	STA $FF0B
	;
	LDA #$00	; turn off volume
	STA $FF11
	;
	STA $FF3E
	CLI      
	;
	RTS		; jump to READY prompt. (return from sys)

irq	PHA
	TXA
	PHA
	TYA
	PHA
	;
	LDA $FF09
	STA $FF09
	;
	LDA $FF19
	EOR #$FF
	STA $FF19
	;
	JSR PLAYER	; poll music
	;
	LDA $FF19
	EOR #$FF
	STA $FF19
	;
	PLA
	TAY
	PLA
	TAX
	PLA
	RTI
	
	db $AA,$AA	; marker just to see the size of code
	
	include "music.asm"
	
	db $AA,$AA
	
	include "lodplay.asm"
	
	db $AA,$AA
	