;
; A demo tune for the LOD player
;

; Two Channels must be defined
; each is a list of patterns to play
; 0 to end (loop)

channel1
	DW pat0a, pat1a, pat2a, pat3a
	DW 0

channel2
	DW pat0b, pat1b, pat2b, pat3b
	DW 0
	
;
; These are the patterns.
; Rules:
; 6 type of bytes.
;
; NOTES:
;   C0+O0 that's : C-0 : C sound at Octave zero, so lowest sounds
;   C0+O1 that's : C-1
;   Ci+O1 that's : C#1 or C sharp or D flat
;
;   notes must be followed by speen (length)
;   e.g. G0+O4, 20 that's a G-4 which is 20 cycles long
;
;   or, you can add the ns (no speed) contant,
;   which means the length will be same as for the previous note.
;   this saves one byte.
;
; QUIET:
;   no sound. next byte must be length.
;
; SNARE:
;   snare drum sound. next byte must be length.
;
; END_MARK:
;   end of pattern.
;
; LOOPS or LOOP_START
;   beginning of a loop, next byte must be loop counter
;
; LOOPE or LOOP_END
;   end of loop.
;

pat0a
 DB C0+O0 , 10, C0+O0 , 06, QUIET , 04
 DB Di+O0 , 06, F0+O0 , 10, C0+O0 , 04
 DB QUIET , 06, C0+O0 , 04, QUIET , 06
 DB C0+O0 , 04, Di+O0 , 10, F0+O0 + ns
 DB C0+O0 + ns, C0+O0 , 06, QUIET , 04
 DB Di+O0 , 06, F0+O0 , 10, C0+O0 , 04
 DB QUIET , 06, C0+O1 , 04, Ai+O0 , 06
 DB C0+O0 , 04, G0+O0 , 06, Fi+O0 , 04
 DB F0+O0 , 06, Di+O0 , 04, C0+O0 , 10
 DB C0+O0 , 06, QUIET , 04, Di+O0 , 06
 DB F0+O0 , 10, C0+O0 , 04, QUIET , 06
 DB C0+O0 , 04, QUIET , 06, C0+O0 , 04
 DB Di+O0 , 10, F0+O0 + ns, C0+O0 + ns
 DB C0+O0 , 06, QUIET , 04, Di+O0 , 06
 DB F0+O0 , 10, C0+O0 , 04, QUIET , 06
 DB C0+O1 , 04, Ai+O0 , 06, C0+O0 , 04
 DB G0+O0 , 06, F0+O3 , 04, Fi+O3 , 06
 DB G0+O3 , 04
 DB END_MARK

pat0b
 DB QUIET , 20            
 DB LOOPS , 07
 DB SNARE , 06, QUIET , 34
 DB LOOPE
 DB SNARE , 06, Fi+O0 , 04, F0+O0 , 06
 DB Di+O0 , 04
 DB END_MARK

pat1a
 DB Ai+O3 , 06, QUIET , 04, G0+O3 , 06
 DB QUIET , 04, Fi+O3 , 06, QUIET , 04
 DB F0+O3 , 06, QUIET , 04, Di+O3 , 10
 DB F0+O3 , 06, C0+O3 , 10, F0+O3 , 04
 DB Fi+O3 , 06, G0+O3 , 04, Ai+O3 , 06
 DB QUIET , 04, G0+O3 , 06, QUIET , 04
 DB Fi+O3 , 10, F0+O3 , 06, Di+O3 , 04
 DB QUIET , 26, F0+O3 , 04, Fi+O3 , 06
 DB G0+O3 , 04, Ai+O3 , 06, QUIET , 04
 DB G0+O3 , 06, QUIET , 04, Fi+O3 , 06
 DB QUIET , 04, F0+O3 , 06, QUIET , 04
 DB Di+O3 , 10, F0+O3 , 06, C0+O3 , 10
 DB F0+O3 , 04, Fi+O3 , 06, G0+O3 , 04
 DB Ai+O3 , 06, QUIET , 04, G0+O3 , 06
 DB QUIET , 04, Ai+O3 , 06, G0+O3 , 04
 DB QUIET , 06, C0+O4 , 04, QUIET , 26
 DB Ai+O3 , 04, B0+O3 , 06, C0+O4 , 04
 DB END_MARK

pat1b
 DB C0+O0 , 10, C0+O0 , 06, Di+O0 , 04
 DB SNARE , 06, F0+O0 , 10, C0+O0 , 04
 DB QUIET , 06, C0+O0 , 04, QUIET , 06
 DB C0+O0 , 04, SNARE , 06, Di+O0 , 04
 DB F0+O0 , 10, C0+O0 + ns, C0+O0 , 06
 DB Di+O0 , 04, SNARE , 06, F0+O0 , 10
 DB C0+O0 , 04, QUIET , 06, C0+O1 , 04
 DB Ai+O0 , 06, C0+O0 , 04, SNARE , 06
 DB Fi+O0 , 04, F0+O0 , 06, Di+O0 , 04
 DB C0+O0 , 10, C0+O0 , 06, QUIET , 04
 DB SNARE , 06, F0+O0 , 10, C0+O0 , 04
 DB QUIET , 06, C0+O0 , 04, QUIET , 06
 DB C0+O0 , 04, SNARE , 10, F0+O0 + ns
 DB C0+O0 + ns, C0+O0 , 06, QUIET , 04
 DB SNARE , 06, F0+O0 , 10, C0+O0 , 04
 DB QUIET , 06, C0+O1 , 04, Ai+O0 , 06
 DB C0+O0 , 04, SNARE , 06, Fi+O0 , 04
 DB F0+O0 , 06, Di+O0 , 04
 DB END_MARK

pat2a
 DB Ai+O3 , 10, C0+O4 , 06, QUIET , 04
 DB Ai+O3 , 10, Gi+O3 , 06, QUIET , 04
 DB F0+O3 , 10, Gi+O3 , 06, Ai+O3 , 10
 DB Ai+O3 , 04, B0+O3 , 06, C0+O4 , 04
 DB F0+O4 , 06, F0+O3 , 04, Di+O4 , 06
 DB F0+O3 , 04, C0+O4 , 06, F0+O3 , 04
 DB B0+O3 , 06, Ai+O3 , 04, QUIET , 26
 DB F0+O3 , 04, Fi+O3 , 06, G0+O3 , 04
 DB Ai+O3 , 06, QUIET , 04, G0+O3 , 06
 DB QUIET , 04, Fi+O3 , 06, QUIET , 04
 DB F0+O3 , 06, QUIET , 04, Di+O3 , 10
 DB F0+O3 , 06, C0+O3 , 10, F0+O3 , 04
 DB Fi+O3 , 06, G0+O3 , 04, Ai+O3 , 06
 DB QUIET , 04, G0+O3 , 06, QUIET , 04
 DB Ai+O3 , 06, G0+O3 , 04, QUIET , 06
 DB C0+O4 , 04, QUIET , 40
 DB END_MARK

pat2b
 DB F0+O0 , 10, F0+O0 , 06, Gi+O0 , 04
 DB SNARE , 06, Ai+O0 , 10, F0+O0 , 04
 DB QUIET , 06, F0+O0 , 04, QUIET , 06
 DB F0+O0 , 04, SNARE , 06, Gi+O0 , 04
 DB Ai+O0 , 10, F0+O0 + ns, F0+O0 , 06
 DB Gi+O0 , 04, SNARE , 06, Ai+O0 , 10
 DB F0+O0 , 04, QUIET , 06, F0+O1 , 04
 DB Di+O1 , 06, F0+O0 , 04, SNARE , 06
 DB B0+O0 , 04, Ai+O0 , 06, Gi+O0 , 04
 DB C0+O0 , 10, C0+O0 , 06, QUIET , 04
 DB SNARE , 06, F0+O0 , 10, C0+O0 , 04
 DB QUIET , 06, C0+O0 , 04, QUIET , 06
 DB C0+O0 , 04, SNARE , 10, F0+O0 + ns
 DB C0+O0 + ns, C0+O0 , 06, QUIET , 04
 DB SNARE , 06, F0+O0 , 10, C0+O0 , 04
 DB QUIET , 06, C0+O1 , 04, Ai+O0 , 06
 DB C0+O0 , 04, SNARE , 06, Fi+O0 , 04
 DB F0+O0 , 06, Di+O0 , 04
 DB END_MARK

pat3a
 DB D0+O4 , 06, Ci+O4 , 04, C0+O4 , 06
 DB D0+O4 , 04, Ci+O4 , 06, C0+O4 , 04
 DB Ci+O4 , 06, D0+O4 , 04, G0+O4 , 10
 DB F0+O4 , 06, D0+O4 , 04, QUIET , 06
 DB Ci+O4 , 04, D0+O4 , 06, Ci+O4 , 04
 DB C0+O4 , 06, B0+O3 , 04, Ai+O3 , 06
 DB C0+O4 , 04, B0+O3 , 06, Ai+O3 , 04
 DB B0+O3 , 06, C0+O4 , 04, F0+O4 , 10
 DB Di+O4 , 06, C0+O4 , 04, QUIET , 06
 DB F0+O3 , 04, Fi+O3 , 06, G0+O3 , 04
 DB Ai+O3 , 10, G0+O3 + ns, Fi+O3 + ns
 DB F0+O3 + ns, Di+O3 + ns, F0+O3 , 06
 DB C0+O3 , 10, F0+O3 , 04, Di+O3 , 06
 DB C0+O3 , 04, G0+O2 , 06, QUIET , 04
 DB G0+O2 , 06, QUIET , 04, G0+O2 , 06
 DB G0+O2 , 04, QUIET , 06, G0+O2 , 14
 DB QUIET , 30
 DB END_MARK

pat3b
 DB G0+O0 , 10, G0+O0 , 06, Ai+O0 , 04
 DB SNARE , 06, C0+O1 , 10, G0+O0 , 04
 DB QUIET , 06, G0+O0 , 04, QUIET , 06
 DB G0+O0 , 04, SNARE , 06, Ai+O0 , 04
 DB C0+O1 , 10, F0+O0 + ns, F0+O0 , 06
 DB Gi+O0 , 04, SNARE , 06, Ai+O0 , 10
 DB F0+O0 , 04, QUIET , 06, F0+O0 , 04
 DB QUIET , 06, F0+O0 , 04, SNARE , 06
 DB Gi+O0 , 04, Ai+O0 , 10, C0+O0 + ns
 DB C0+O0 , 06, QUIET , 04, SNARE , 06
 DB F0+O0 , 10, C0+O0 , 04, QUIET , 06
 DB C0+O0 , 04, QUIET , 06, C0+O0 , 04
 DB SNARE , 10, F0+O0 + ns, G0+O0 , 06
 DB QUIET , 04, G0+O0 , 06, QUIET , 04
 DB G0+O0 , 06, G0+O0 , 04, QUIET , 06
 DB G0+O0 , 14, QUIET , 10, SNARE , 06
 DB SNARE , 04, SNARE , 06, SNARE , 04
 DB END_MARK